[CmdLetBinding()]

$targetPath = "$PsScriptRoot/../deps/**/*.sh"

Write-Host "Making sure that all files for $targetPath are with linux line endings."

foreach($file in Get-ChildItem $targetPath)
{
    Write-Host "Fixing line endings for $($file.FullName)"
    (Get-Content $file.FullName -Raw) -replace "`r`n","`n" | Set-Content $file.FullName -NoNewline -Force
}