local jwt = require "resty.jwt"
local http = require "resty.http"
local cjson = require "cjson"

local redirect = "false";
local status = "";

-- Fetch the token from cookie
local token = ngx.var['cookie_netco|token'];
if token == nil then
    status = "NO_TOKEN"
    redirect = "true"
else
    -- Verify the token using secret key
    local secret = os.getenv("SECRET") or "secret";
    local jwt_obj = jwt:verify(secret, token);

    if not jwt_obj["verified"] then
        status = "INVALID_TOKEN"
        redirect = "true"
    end
end
if redirect == "true" then
    if  string.find(ngx.var.request_uri, "socket.io") == nil then
        ngx.redirect('/monitoring/logout')
    end
end